#
# .gitea/gitea-ci.yaml
#

name: Build And Test
run-name: ${{ gitea.actor }} is runs ci pipeline
on:
  push:
    branches:
      - main

jobs:
  build:
    runs-on: ubuntu-latest
    #if: gitea.ref == 'refs/heads/main'
    steps:
      - uses: https://github.com/actions/checkout@v4
      - name: Set env
        run: echo "${{gitea.ref_name#release/}}"
      - name: Test
        run: |
          echo $RELEASE_VERSION
          echo ${{ env.RELEASE_VERSION }}

#GITHUB_REF_NAME


#name: Publish
#run-name: ${{ gitea.actor }} is runs ci pipeline
#on:
#  release:
#    types: [published]
#
#jobs:
#  test:
#    runs-on: ubuntu-latest
#    steps:
#      - run: echo "The release ${{ gitea.release }} was published"
  
#  publish:
#    runs-on: ubuntu-latest
#    #needs: build
#    if: gitea.ref == 'refs/heads/main'
#    steps:
#      - uses: https://github.com/actions/checkout@v4
#      - name: Set up Docker Buildx
#        uses: https://github.com/docker/setup-buildx-action@v3
#        with:
#          config-inline: |
#            [registry."gitea.sanplex.tech/sansan"]
#              http = true
#              insecure = true            
#      - name: Login to Gitea
#        uses: docker/login-action@v2
#        with:
#          registry: gitea.sanplex.tech
#          username: ${{ github.repository_owner }}
#          password: ${{ secrets.TOKEN }}
#      - name: Build and push Docker image
#        uses: https://github.com/docker/build-push-action@v5
#        with:
#          context: .
#          file: ./Dockerfile
#          push: true
#          tags: "gitea.sanplex.tech/sansan/musicserver:${{gitea.sha}}, gitea.sanplex.tech/sansan/musicserver:latest"
